uses_allocator_args.h File Reference

Go to the source code of this file.

## Namespaces

| std

## Macros

#define | __cpp_lib_make_obj_using_allocator

## Functions

template<typename _Tp , typename _Alloc , typename... _Args>
constexpr _Tp | std::make_obj_using_allocator (const _Alloc &__a, _Args &&... __args)
template<typename _Tp , typename _Alloc , typename... _Args>
constexpr _Tp * | std::uninitialized_construct_using_allocator (_Tp *__p, const _Alloc &__a, _Args &&... __args)
template<_Std_pair _Tp, typename _Alloc >
constexpr auto | std::uses_allocator_construction_args (const _Alloc &) noexcept
template<_Std_pair _Tp, typename _Alloc , typename _Up , typename _Vp >
constexpr auto | std::uses_allocator_construction_args (const _Alloc &, _Up &&, _Vp &&) noexcept
template<_Std_pair _Tp, typename _Alloc , typename _Up , typename _Vp >
constexpr auto | std::uses_allocator_construction_args (const _Alloc &, const pair< _Up, _Vp > &) noexcept
template<_Std_pair _Tp, typename _Alloc , typename _Up , typename _Vp >
constexpr auto | std::uses_allocator_construction_args (const _Alloc &, pair< _Up, _Vp > &&) noexcept
template<typename _Tp , typename _Alloc , typename... _Args>
constexpr auto | std::uses_allocator_construction_args (const _Alloc &__a, _Args &&... __args) noexcept requires(! _Std_pair< _Tp >)
template<_Std_pair _Tp, typename _Alloc , typename _Tuple1 , typename _Tuple2 >
constexpr auto | std::uses_allocator_construction_args (const _Alloc &__a, piecewise_construct_t, _Tuple1 &&__x, _Tuple2 &&__y) noexcept

## Variables

template<typename _Tp >
concept | std::_Std_pair

## Detailed Description

This is an internal header file, included by other library headers. Do not attempt to use it directly. Instead, include <memory>.

Definition in file uses_allocator_args.h.